FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202102031949.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202102031949.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=56a73fe OS_GIT_VERSION=4.6.0-202102031949.p0-56a73fe SOURCE_DATE_EPOCH=1610550318 SOURCE_GIT_COMMIT=56a73fe509cde3eb89c3d73e6e243cb66403c93f SOURCE_GIT_TAG=56a73fe SOURCE_GIT_URL=https://github.com/openshift/images 
WORKDIR /go/src/github.com/openshift/images
COPY . .
RUN CGO_ENABLED=0 go build -installsuffix=cgo -o pod/bin/pod ./pod

FROM openshift/ose-base:v4.6.0.20210203.201804
ENV __doozer=update BUILD_RELEASE=202102031949.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202102031949.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=56a73fe OS_GIT_VERSION=4.6.0-202102031949.p0-56a73fe SOURCE_DATE_EPOCH=1610550318 SOURCE_GIT_COMMIT=56a73fe509cde3eb89c3d73e6e243cb66403c93f SOURCE_GIT_TAG=56a73fe SOURCE_GIT_URL=https://github.com/openshift/images 
COPY --from=builder /go/src/github.com/openshift/images/pod/bin/pod /usr/bin/
ENTRYPOINT [ "/usr/bin/pod" ]

LABEL \
        io.k8s.display-name="OpenShift Container Platform Pod Infrastructure" \
        io.k8s.description="This is a component of OpenShift Container Platform and holds on to the shared Linux namespaces within a Pod." \
        io.openshift.tags="openshift,pod" \
        License="GPLv2+" \
        vendor="Red Hat" \
        name="openshift/ose-pod" \
        com.redhat.component="openshift-enterprise-pod-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Node" \
        release="202102031949.p0" \
        io.openshift.build.commit.id="56a73fe509cde3eb89c3d73e6e243cb66403c93f" \
        io.openshift.build.source-location="https://github.com/openshift/images" \
        io.openshift.build.commit.url="https://github.com/openshift/images/commit/56a73fe509cde3eb89c3d73e6e243cb66403c93f" \
        version="v4.6.0"

